rpm 5.2.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
pgpPkt_s Struct Reference

## Data Fields

pgpTag | tag
unsigned int | pktlen
const rpmuint8_t * | h
unsigned int | hlen

## Detailed Description

Definition at line 61 of file rpmpgp.c.

## Field Documentation

const rpmuint8_t* pgpPkt_s::h

Definition at line 64 of file rpmpgp.c.

Referenced by pgpPktLen(), pgpPrtComment(), pgpPrtKey(), pgpPrtPkt(), pgpPrtPubkeyParams(), pgpPrtSeckeyParams(), pgpPrtSig(), pgpPrtSigParams(), pgpPrtUserID(), and pgpPubkeyFingerprint().

unsigned int pgpPkt_s::hlen

Definition at line 65 of file rpmpgp.c.

Referenced by pgpPktLen(), pgpPrtComment(), pgpPrtPkt(), pgpPrtPubkeyParams(), pgpPrtSeckeyParams(), pgpPrtSig(), pgpPrtSigParams(), and pgpPrtUserID().

unsigned int pgpPkt_s::pktlen

Definition at line 63 of file rpmpgp.c.

Referenced by pgpGrabPkts(), pgpPktLen(), pgpPrtPkt(), and pgpPrtPkts().

pgpTag pgpPkt_s::tag

Definition at line 62 of file rpmpgp.c.

Referenced by pgpPktLen(), pgpPrtComment(), pgpPrtKey(), pgpPrtPkt(), pgpPrtSig(), pgpPrtUserID(), and pgpPubkeyFingerprint().

The documentation for this struct was generated from the following file:

- rpmio/rpmpgp.c